﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Labyrinth
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            const int höhe = 20;
            const int breite = 30;
            const double raster = 10.0;

            bool[,] tunnelOberhalb = new bool[höhe+1, breite];
            bool[,] tunnelLinks = new bool[höhe, breite+1];

            tunnelOberhalb[2, 3] = true;
            tunnelLinks[2, 3] = true;

            //TODO: Würfeln!!

            for (int y = 0; y < höhe+1; y++)
            {
                for (int x = 0; x < breite; x++)
                {
                    if(tunnelOberhalb[y,x])
                    {
                        Line a = new Line();
                        a.X1 = x * raster;
                        a.Y1 = y * raster;
                        a.X2 = (x + 1) * raster;
                        a.Y2 = y * raster;
                        a.Stroke = Brushes.White;
                        a.StrokeThickness = 3.0;
                        a.StrokeStartLineCap = PenLineCap.Square;
                        a.StrokeEndLineCap = PenLineCap.Square;
                        zeichenfläche.Children.Add(a);
                    }
                }
            }

            for (int y = 0; y < höhe; y++)
            {
                for (int x = 0; x < breite + 1; x++)
                {
                    if (tunnelLinks[y, x])
                    {
                        Line a = new Line();
                        a.X1 = x * raster;
                        a.Y1 = y * raster;
                        a.X2 = x * raster;
                        a.Y2 = (y + 1) * raster;
                        a.Stroke = Brushes.White;
                        a.StrokeThickness = 3.0;
                        a.StrokeStartLineCap = PenLineCap.Square;
                        a.StrokeEndLineCap = PenLineCap.Square;
                        zeichenfläche.Children.Add(a);
                    }
                }
            }
        }
    }
}
